using UnityEngine;

namespace SmartBowSDK
{
    public class SmartBowLogger
    {
        public static bool isDebug = true;
        public static void Log(object context, string message)
        {
            if (!isDebug) return;
            Debug.Log(string.Format("[{0}]{1}", context.GetType().Name, message));
        }

        public static void LogWarning(object context, string message)
        {
            if (!isDebug) return;
            Debug.LogWarning(string.Format("[{0}]{1}", context.GetType().Name, message));
        }

        public static void LogError(object context, string message)
        {
            if (!isDebug) return;
            Debug.LogError(string.Format("[{0}]{1}", context.GetType().Name, message));
        }
    }
}
